package futils.utils;

import java.util.Observable;

public abstract class Computation extends Observable implements constants {

    public static double ln(double x) {
        return (Math.log(x) / Math.log(Math.E));
    }

    public static double sign(double x) {
        if (x > 0) {
            return 1;
        }
        if (x == 0) {
            return 0;
        }
        return -1;
    }

    public static double sign(byte x) {
        int i = (int) Math.abs(x);
        if (i > 127) return -1;
        if (i == 0) return 0;
        return 1;
    }

    public static double degrees_to_radians(double theta) {
        return theta * Pi_on_180;
    }

    public static double radians_to_degrees(double theta) {
        return theta / Pi_on_180;
    }

}





